Part Ellipsoid/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Siehe Part Grundelemente.")
(Created page with "Beispiel:")
 
(8 intermediate revisions by the same user not shown)
Line 30: Line 30:
Siehe [[Part_Primitives/de#Anwendung|Part Grundelemente]].
Siehe [[Part_Primitives/de#Anwendung|Part Grundelemente]].


== Example ==
==Beispiel==


[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]
[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part-Ellipsoid aus dem Skriptbeispiel]]


A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.
Ein Part-Ellipsoid-Objekt, das mit dem [[#Skripten|Skriptbeispiel]] weiter unten erzeugt wurde wird hier dargestellt.


<div class="mw-translate-fuzzy">
==Eigenschaften==
==Eigenschaften==
</div>


See also: [[Property_editor|Property editor]].
Siehe auch: [[Property_editor/de|Eigenschafteneditor]].


A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Ein Part-Ellipsoid-Objekt wird von einem [[Part_Feature/de|Part-Formelement]] abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:


=== Data ===
===Daten===


{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}
Line 59: Line 57:
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.


== Scripting ==
==Skripten==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
Line 72: Line 70:
* The function returns the newly created object.
* The function returns the newly created object.


Beispiel:
Example:


{{Code|code=
{{Code|code=

Latest revision as of 13:32, 20 April 2022

Part Ellipsoid

Menüeintrag
Formteil → Grundkörper erstellen... → Ellipsoid
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Ellipsoid ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, sind die Achsen des Ellipsoids fluchtend mit den X-, Y-, und Z-Achsen und damit sein Mittelpunkt im Ursprung.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DatenAngle1 and/or DatenAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DatenAngle3 property.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Ellipsoid aus dem Skriptbeispiel

Ein Part-Ellipsoid-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Ellipsoid-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DatenRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DatenRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DatenRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DatenAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DatenAngle2. The default is -90°.
  • DatenAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DatenAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DatenAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()